function E0090()
    MNA()CMU("CS_Vivi")FAI(0)
end
function E0091()
    MNA()CMU("CS_Vivi")FAI(1)
end
function E0092()
    MNA()CMU("CS_Vivi")FAI(2)
end
function E0093()
    MNA()CMU("CS_Vivi")FAI(3)
end
function E0094()
    MNA()CMU("CS_Vivi")FAI(4)
end

function Door_GoPeaceTown()
    PRI()MM0()SOU("CS_011_door")ANP("Door_GoPeaceTown",0,1)FAO(2)TRA("CS_peace_town","E0090",69,34)
end

function Gunsmith1()
    if(ITJ("Translator")) then
        if(FLJ("DoughnutGive")) then
            KEY()
            MS3("I've actually decided to stop making weapons,")NOD()
            CAT("\nso the parts I made this time") 
            CAT("\nhave no lethal function.")NOD()CLR()
            CAT("Still, working on it")
            CAT("\nreminded me of the joy I used to feel.")NOD()
        elseif(ITJ("Doughnut")) then
            KEY()
            GIT("Doughnut")
            ITS("Doughnut")
            FAC("jack_normal")MS3("\nWe brought the dessert.")NOD()CLR()
            GIT()
            FAC()CAT("\nExcellent! Now I'll upgrade your gun.")NOD()CLO()
            FAO()
            WAI(32)
            FAI(2)
            WAI(32)
            FLA()
            WAI(50)
            ITS("Bubbler")
            ITP("Catcher")
            CMU("CS_Fanfale1")
            GIT("Catcher")
            MS3("=BUBBLER=")
            CAT("\nupgraded to =CATCHER=")WAI(160)NOD()RMU()
            AMC("catcher_get")
            FLP("DoughnutGive")
            FLP("CatchFirefly")
            MSR("BringDoughnutToGunsmith","CatchFirefly")
        elseif(FLJ("BringHoneycomb")) then
            if(ITJ("Honey")) then
                KEY()
                MS3("Go deliver the honey to the baker,")NOD()
                CAT("\nI'll be waiting for your good news.")NOD()
            elseif(ITJ("Honeycomb")) then
                KEY()
                GIT("Honeycomb")
                FAC("jack_normal")MS3("\nWe brought the honeycomb.")NOD()CLR()
                GIT()
                FAC()CAT("\nI'll start processing it right away!")NOD()CLO()
                FAO(0)
                WAI(32)
                FAI(2)
                MS3("I've successfully extracted the honey,")NOD()
                ITS("Honeycomb")
                GIT("Honey")
                ITP("Honey")
                SOU("CS_038_get_item")
                CAT("\nlet me give it to you now.")NOD()CLR()
                MSR("BringHoneycombToGunsmith","BringHoneyToBaker")
            else
                KEY()
                MS3("The honeycomb is in the forest west of town,")NOD()
                CAT("\nI'm sure you can get it.")NOD()
            end
        elseif(FLJ("SearchHoney")) then
            KEY()
            MS3("I see,")NOD()
            CAT("\nso you're out of honey.")NOD()CLR()
            CAT("I remember seeing some wild honeycombs")
            CAT("\nin the forest west of this town.")NOD()CLR()
            CAT("If you could bring me a honeycomb,")
            CAT("\nI could extract the honey for you.")NOD()CLR()
            FAC("jack_><")CAT("Ah, bees...")NOD()
            CAT("\nWe'll get stung like crazy.")NOD()CLR()
            FAC()CAT("Don't worry,")NOD()
            CAT("\nyou have guns that I made.")NOD()
            CAT("\nDealing with insects will be easy.")NOD()CLR()
            FAC("jack_normal")CAT("\nI understand.")NOD()
            FLP("BringHoneycomb")
            MSR("LackOfHoney","ExploreForest")
        elseif(FLJ("BringSomeDesserts")) then
            KEY()
            MS3("\nYou can check out the bakery on the left.")NOD()CLR()
            FAC("jack_normal")CAT("\nI got it.")NOD()
        elseif(FLJ("RepairKeeperIsGunSmith")) then
            KEY()
            FAC("jack_normal")MS3("Master, could you") 
            CAT("\ntake a look at our guns?")NOD()CLR()
            AMC("hide_gun")
            GIT("Bubbler")
            FAC()CAT("Handed over the Bubbler.")NOD()
            GIT("Fireball")
            CAT("\nHanded over the Fireball.")NOD()CLR()
            GIT()
            FAC()CAT("These are the Bubbler and Fireball...")NOD()
            CAT("\nThey're among the works I sold before.")NOD()CLR()
            CAT("But the guns themselves seem fine,")NOD()
            CAT("\nthere's nothing wrong with them.")NOD()CLR()
            FAC("jack_normal")CAT("Actually, we have a favor")
            CAT("\nto ask you.")NOD()CLR()
            FAC()CAT("\nWhat is it?")NOD()CLR()
            FAC("jack_normal")CAT("We want to catch some fireflies,")NOD()
            CAT("\nbut our guns would only kill them,")NOD()
            CAT("\nnot capture them.")NOD()CLR()
            FAC()CAT("So you want me to")
            CAT("\nmodify the gun to have")
            CAT("\ncapturing capabilities?")NOD()CLR()
            FAC("jack_normal")CAT("\nExactly!")NOD()CLR()
            FAC()CAT("Well... that's a bit difficult...")NOD()
            CAT("\nIt's possible, yes,")NOD()
            CAT("\nbut I haven't had any desserts")
            CAT("\nfrom the bakery in quite a while...")NOD()
            CAT("\nMy brain power is declining...")NOD()
            CAT("\nI can't do it in my current state.")NOD()CLR()
            CAT("If you could bring some desserts")
            CAT("\nfrom the bakery,")NOD()
            CAT("\nI could take on this challenge.")NOD()CLR()
            CAT("\nOh, here are your guns back.")NOD()CLR()
            AMC("show_gun")
            GIT("Bubbler")
            FAC()CAT("Got the Bubbler back.")NOD()
            GIT("Fireball")
            CAT("\nGot the Fireball back.")NOD()CLR()
            GIT()
            FAC("jack_normal")CAT("I understand,")NOD()
            CAT("\nI'll definitely") 
            CAT("\nbring you some desserts.")NOD()CLR()
            FAC()CAT("\nThank you, little one!")NOD()CLR()
            FLP("BringSomeDesserts")
            MSD("SearchingForMethodsToCaptureFireflies")
            MSR("AskGunsmithForHelp","BringSomeDessert")
        else
            KEY()
            MS3("\nDo you need anything repaired?")NOD()CLR()
            FAC("jack_normal")CAT("\nWe don't need repairs...")NOD()
        end
    else
        KEY()
        MS3("\n......")NOD()
    end
end